/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "Assimp", "index.html", [
    [ "irrXML 1.2 API documentation", "index.html", [
      [ "Introduction", "index.html#intro", null ]
    ] ],
    [ ".ASS File formats", "assfile.html", [
      [ "Overview", "assfile.html#over", null ],
      [ "XML File format", "assfile.html#assxml", null ],
      [ "Binary file format", "assfile.html#assbin", null ]
    ] ],
    [ "Installation", "install.html", [
      [ "Using the pre-built libraries with Visual C++ 8/9", "install.html#install_prebuilt", null ],
      [ "Microsoft Compilers and the C++ Standard Library", "install.html#assimp_stl", null ],
      [ "Building the library from scratch", "install.html#install_own", null ],
      [ "Building without boost.", "install.html#use_noboost", null ],
      [ "Windows DLL Build", "install.html#assimp_dll", null ],
      [ "Building against STLport", "install.html#assimp_stlport", null ]
    ] ],
    [ "Usage", "usage.html", [
      [ "Access by C++ class interface", "usage.html#access_cpp", null ],
      [ "Access by plain-c function interface", "usage.html#access_c", null ],
      [ "Using custom IO logic with the C++ class interface", "usage.html#custom_io", null ],
      [ "Using custom IO logic with the plain-c function interface", "usage.html#custom_io_c", null ],
      [ "Logging", "usage.html#logging", null ]
    ] ],
    [ "Data Structures", "data.html", [
      [ "The Node Hierarchy", "data.html#hierarchy", null ],
      [ "Meshes", "data.html#meshes", [
        [ "Materials", "data.html#material", null ]
      ] ],
      [ "Bones", "data.html#bones", null ],
      [ "Animations", "data.html#anims", null ],
      [ "Textures", "data.html#textures", null ]
    ] ],
    [ "Material System", "materials.html", [
      [ "Overview", "materials.html#General", null ],
      [ "Textures", "materials.html#mat_tex", null ],
      [ "Constants", "materials.html#keys", null ],
      [ "C++-API", "materials.html#cpp", null ],
      [ "C-API", "materials.html#C", null ],
      [ "How to map UV channels to textures (MATKEY_UVWSRC)", "materials.html#uvwsrc", null ],
      [ "Pseudo Code Listing", "materials.html#pseudo", null ]
    ] ],
    [ "Performance", "perf.html", [
      [ "Overview", "perf.html#perf_overview", null ],
      [ "Profiling", "perf.html#perf_profile", null ]
    ] ],
    [ "Threading", "threading.html", [
      [ "Thread-safety / using Assimp concurrently from several threads", "threading.html#threadsafety", null ],
      [ "Internal threading", "threading.html#automt", null ]
    ] ],
    [ "Resources", "res.html", null ],
    [ "Importer Notes", "importer_notes.html", [
      [ "Blender", "importer_notes.html#blender", [
        [ "Overview", "threading.html#overview", null ],
        [ "Overview", "importer_notes.html#bl_overview", null ],
        [ "Current status", "importer_notes.html#bl_status", null ],
        [ "Notes", "importer_notes.html#bl_notes", null ]
      ] ],
      [ "IFC", "importer_notes.html#ifc", [
        [ "Overview", "importer_notes.html#ifc_overview", null ],
        [ "Current status", "importer_notes.html#ifc_status", null ],
        [ "Notes", "importer_notes.html#ifc_notes", null ],
        [ "Metadata", "importer_notes.html#ifc_metadata", null ]
      ] ],
      [ "Ogre", "importer_notes.html#ogre", [
        [ "What will be loaded?", "importer_notes.html#what", null ],
        [ "How to export Files from Blender", "importer_notes.html#export_Blender", null ],
        [ "XML Format", "importer_notes.html#xml", null ],
        [ "Properties", "importer_notes.html#Importer", null ],
        [ "Todo", "importer_notes.html#todo", null ]
      ] ]
    ] ],
    [ "Extending the Library", "extend.html", [
      [ "Properties", "extend.html#properties", null ],
      [ "Notes for text importers", "extend.html#tnote", null ],
      [ "Notes for binary importers", "extend.html#bnote", null ],
      [ "Utilities", "extend.html#util", null ],
      [ "Filling materials", "extend.html#mat", null ],
      [ "Boost", "extend.html#boost", null ],
      [ "Appendix A - Template for BaseImporter's abstract methods", "extend.html#appa", null ]
    ] ],
    [ "Animation Overview", "_animation_overview.html", [
      [ "Transformations", "_animation_overview.html#Transformations", null ]
    ] ],
    [ "'version'-Command", "version.html", null ],
    [ "'help'-Command", "help.html", null ],
    [ "'info'-Command", "iinfo.html", null ],
    [ "'cmpdump'-Command", "cmpdump.html", null ],
    [ "'dump'-Command", "dump.html", null ],
    [ "'extract'-Command", "extract.html", null ],
    [ "Common parameters", "common.html", null ],
    [ "Todo List", "todo.html", null ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Modules", "modules.html", "modules" ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", "namespacemembers_dup" ],
        [ "Functions", "namespacemembers_func.html", "namespacemembers_func" ],
        [ "Variables", "namespacemembers_vars.html", "namespacemembers_vars" ],
        [ "Typedefs", "namespacemembers_type.html", "namespacemembers_type" ],
        [ "Enumerations", "namespacemembers_enum.html", null ],
        [ "Enumerator", "namespacemembers_eval.html", "namespacemembers_eval" ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Typedefs", "functions_type.html", "functions_type" ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", "functions_eval" ],
        [ "Properties", "functions_prop.html", null ],
        [ "Related Functions", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", "globals_func" ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Enumerations", "globals_enum.html", null ],
        [ "Enumerator", "globals_eval.html", "globals_eval" ],
        [ "Macros", "globals_defs.html", "globals_defs" ]
      ] ]
    ] ],
    [ "Examples", "examples.html", "examples" ]
  ] ]
];

var NAVTREEINDEX =
[
"3_d_s_converter_8cpp.html",
"_assimp_8cpp.html#a2dba65e10ea74b15f3ee35e53909cdf8",
"_collada_helper_8h.html#ad5361e484600f08dfce480747352b7c3a0c80f4c76c2c042fc3aee88538128fdd",
"_f_b_x_mesh_geometry_8h.html",
"_i_f_c_reader_gen1_8cpp.html#a142cddca55d6510357ce67b0f7d8a0ef",
"_i_f_c_reader_gen2_8cpp.html#a25900997b5adebced7548dba4fe55123",
"_i_f_c_reader_gen_8h.html#a1089d1eff2a4908a6799695a1e8f79c0",
"_i_f_c_reader_gen_8h.html#a57c24990b1f38f62c0d49cc80b99ca14",
"_i_f_c_reader_gen_8h.html#a936f6bb69bbc38512bba642897ccde89",
"_i_f_c_reader_gen_8h.html#ad91aae27f075dacaa5379d17c6490874",
"_i_r_r_shared_8h.html#ae7dbf8125da4ab8f103692d9009dd577",
"_l_w_o_file_data_8h.html#ae42f34d60d921aaa9f03192f7f88376c",
"_m_m_d_pmx_parser_8h.html#a3b510deba84189c4bda925ecf7734636a9ffbd422925a6839ee820ddbc59278c5",
"_ogre_binary_serializer_8h.html#aded07905bf02569ed986bbd08c491900a0c331120cc78aedd59e855be8d46a0ce",
"_open_g_e_x_importer_8cpp.html#ab5dc7d99f428f2da334cdf7b480d8cfaac8e43a632717b2529890efe30abbc8a5",
"_remove_redundant_materials_8cpp.html",
"_version_8cpp.html#a96b105b1d76378b3b785c0a34e950030",
"assimp__view_8cpp.html#accb15a432e5f8c964e435e34d9fed591",
"class3d__viewer__py3_1_1_py_assimp3_d_viewer.html#a70c142c01c2fa9dbd220a78816c9a55b",
"class_assimp_1_1_blender_1_1_object_cache_3_01_blender_1_1vector_01_4.html#a79340e4b8b1db94f8b745b453adf1553",
"class_assimp_1_1_c_x_m_l_reader_impl.html#a8eeee9f890da6c391e160caa92e287db",
"class_assimp_1_1_d3_d_s_1_1_discreet3_d_s.html#a0a59b2f54c1919bcf6351789b7fea27ba41eaf1159f64ca72fa7be4edd608b88d",
"class_assimp_1_1_discreet3_d_s_importer.html#aba5cfe093c8b487f44d7c51d035e4cf4",
"class_assimp_1_1_f_b_x_1_1_layered_texture.html#a11c7af30f3bcf84af124981f36dfcba9a935b077614f7ef50005f5187fc5f1972",
"class_assimp_1_1_f_b_x_importer.html#add3114e20c1df047269495a69a1e045f",
"class_assimp_1_1_irrlicht_base.html#a27f8cdd2601b4fca39a12bf900701f63",
"class_assimp_1_1_m_d_l_importer.html#a28dbb64e6ece1021db2cd8f5afe69fd9",
"class_assimp_1_1_ogre_1_1_mesh_xml.html#abe148768902a409b4005903641ef1ec6",
"class_assimp_1_1_ply_exporter.html",
"class_assimp_1_1_scale_process.html#ad4ccd9e5642fc0de51869ab8155d5cf3",
"class_assimp_1_1_vertex.html#a9f6a852165ac8f2ac562aa492661c8c9",
"class_assimp_view_1_1_c_log_window.html#a7eacfd6b060b7eeb0ea0f6c9fc7b6961",
"class_c_x3_d_importer___node_element___material.html#ae2a6bf1c6a65db035f18e729f412b765",
"class_generic_document.html",
"class_generic_value.html#a84fee9f05f6d4bdcf12e41c71207fdb8a5d26a84f26833eafd0028c0102a388a9",
"class_pretty_writer.html#a928ac2a5235b8877048ebdd5f35a556f",
"class_writer.html#ad07b325157220e3aa791c1c8c904021e",
"classgl_t_f2_1_1_asset.html",
"classgtest__shuffle__test_1_1_g_test_shuffle_unit_test.html#adf9841ae9c86eaafc3c3f7c9690c7bd8",
"classinternal_1_1_stack.html#a7ae5de892834b7fc16099eb5e23dd97c",
"classjassimp_1_1_ai_mesh.html#a5b4e5815633f8e073c4744ddd0847d5f",
"classo3dgc_1_1_binary_stream.html#aca5f8f3a160737278ee698a0b595aa76",
"classo3dgc_1_1_triangle_list_decoder.html#a980979f9bd2d118d3e8f70f38223263d",
"classpmd_1_1_pmd_model.html#acee760238cdfd0d52001b97a6076bb7e",
"classpmx_1_1_pmx_soft_body.html#a74693c7804e5d3584e2d644af846979f",
"classstd_1_1tr1_1_1gtest__internal_1_1_get_3_011_01_4.html#a52b2f5d2bc283d76a3e8dede84dba154",
"classtesting_1_1_unit_test.html#a3d83fe1cc5570a1c34f9754b0f56d65f",
"classtesting_1_1internal_1_1_test_event_repeater.html#a0a335e1c3957a8c699ed56e37ea7b978",
"classutf8_1_1invalid__utf8.html#a2d13bf1360bc4cca419f5ca9b666db20",
"config_8d.html#aa6d8f2b5cf8b40f75a81004604fe1041",
"enumjassimp_1_1_ai_material_1_1_property_key.html#a234606557c6ce226654885c395fc03f9",
"functions_type_c.html",
"gl_t_f2_exporter_8cpp.html#aa81c324ccf42574c0616fbc587002913",
"group___r_a_p_i_d_j_s_o_n___c_o_n_f_i_g.html#gabeba18d612187bad2ac62aed9276d47c",
"gtest-port_8cc.html#a0f7e728793f9e6cb0aa2b69eaa468bf3",
"gtest-printers_8h.html#affa1f94e3ba8db8b964553c2871bf339",
"gtest_8cc.html#a415a953647bbc9469f062dc966061efb",
"gtest__catch__exceptions__test_8py.html#a60be14c2b88aafb689ba4d3d2578449e",
"gtest__pred__impl_8h.html#ad44cf322952076d85305bbdf39769ac1",
"gtest__unittest_8cc.html#a6fa482480599861df0c182c4d4229133",
"il_8h.html#a321deed3ee42d9f81f657c7ff2f13ca3",
"il_8h.html#ad42eb29c3b3b6ad376f4e9a11959aa70",
"importerdesc_8h.html#a3c78e1208ecbd75fecdbb4e38d820449a022e8627161639e2362da3ca7fff2c01",
"material_8d.html#a5f912828dfa7dabf473deb5290586e07",
"miniz_8h.html#a0069262fcca5eec8151a14d35e801e1c",
"miniz_8h.html#a93a0147044e7f13d544cd127353a33be",
"namespace_assimp_1_1_intern.html",
"namespacemembers_vars_w.html",
"o3dgc_triangle_list_encoder_8inl.html#a9659e8be1e069177ccdcc8b1dd7f7a0c",
"prettywriter_8h.html#a150fd6ef2dbf4025c33ece85451982d5",
"samples_2_dev_i_l_2include_2_i_l_2config_8h.html#a6b2f0f0e1667fcb3d112f36b0236feda",
"struct_assimp_1_1_a_s_e_1_1_light.html#a4241b7446ad23d8639d4e2631439439e",
"struct_assimp_1_1_blender_1_1_m_tex.html#a52fe96b89d06b881590e964bb2e827c4a635651914c025d5b42666c0027cf1354",
"struct_assimp_1_1_blender_1_1_object.html#a029f9f68bba01188158ae04af436ce92",
"struct_assimp_1_1_collada_1_1_animation.html#a4b48356f1e76a92fcb17ef8a384f9b64",
"struct_assimp_1_1_d3_d_s_1_1_node.html#afb978ad4cecb5f482b61b9fa3e91a034",
"struct_assimp_1_1_i_f_c_1_1_conversion_data.html#a49ed062e7c698244440b67af8d833113",
"struct_assimp_1_1_i_f_c_1_1_ifc_column_type.html#a2358a15281c0905e73e029739d798d64",
"struct_assimp_1_1_i_f_c_1_1_ifc_element_component.html",
"struct_assimp_1_1_i_f_c_1_1_ifc_light_source_spot.html#a6f1c9f53ec72148d2c3625af14dd955f",
"struct_assimp_1_1_i_f_c_1_1_ifc_railing.html",
"struct_assimp_1_1_i_f_c_1_1_ifc_structural_analysis_model.html#a67e01ee49f245ae00da4e965ed93fe0b",
"struct_assimp_1_1_i_f_c_1_1_ifc_vector.html#a8f232e3ab93fcd8a414f3bf198b5db76",
"struct_assimp_1_1_l_w_o_1_1_texture.html#ac2b05d641ba8164b8eec775a4a4fc62a",
"struct_assimp_1_1_m_d5_1_1_vertex_desc.html#a3106a81ce842f268266e80b5ca5a8532",
"struct_assimp_1_1_m_d_l_1_1_material___m_d_l7.html#a12d22d1d97ab5c0a3b8cb06cf093696b",
"struct_assimp_1_1_open_g_e_x_1_1_atten.html",
"struct_assimp_1_1_s_m_d_1_1_vertex.html#a128f62530525db89da22214555928ee1",
"struct_assimp_view_1_1_c_log_display_1_1_s_entry.html#a00f920decb74020a5c1878979001e8aa",
"struct_clipper_lib_1_1_join_rec.html#a0ee034c5ff30c40182e8bd399df38a7f",
"struct_memory_stream.html#a57cf6cb5766e931a62928b9f92507443",
"structai_animation.html#a24acebedd137af196911b7b2db6e219e",
"structai_node_anim.html#a93cefd440cbaf587c136eb224d4a0327",
"structgl_t_f2_1_1_buffer.html",
"structgl_t_f_1_1_buffer.html#a3e98caa3c7cb61e4834e425834c4cff4",
"structinternal_1_1_schema_validation_context.html#a4fb1b8fe7ecb9d4608e6b0ac0716826ca54cca82af0ef391404c2a930187ce5e9",
"structstd_1_1tr1_1_1gtest__internal_1_1_tuple_element_3_01true_00_017_00_01_g_t_e_s_t__10___t_u_p_l_e___07_t_08_01_4.html#afc625b9bf1ae4c5c51a968134dc9b30a",
"tools_2assimp__view_2resource_8h.html#a00fc0567f3916ef0646fa00cba910029",
"transformations_8py.html#ab394b69dc2a679caaee8a40e4d8c5006",
"zip_8h.html#ac3eefb24e6e1543193f3946b83e980d9"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';